*-- Check CHKREPTxx files to determine what strings
*--	were searched for
close all
if file('chkchk.dbf')
	erase chkchk.dbf
endif

IF ADIR(lafiles, "CHKREPT*.dbf") > 0
	for lnx = 1 TO alen(lafiles, 1)
		lcFile = lafiles(lnx, 1)
		select lcfile AS filename, ;
			   string from (lcFile) ;
		 order by string ;
		 group by string ;
		  into cursor ac_tmpr
		use in (lcFile)
		
		if ! used('chkchk')
			create table chkchk (;
				sequence N(5), ;
				filename C(14), ;
				string	 C(60))
			index on sequence tag sequence
		endif
		select chkchk
		append from dbf('ac_tmpr')
		replace all sequence with l_conv(filename)
		use in ac_tmpr
	endfor
endif

select chkchk
browse nowait

return

*-- Extract file number and convert to numeric
function l_conv
parameter lcFname

lcFname = strtran(lcFname, "CHKREPT", "")
RETURN (val(left(lcFname, at('.',lcFname)-1)))
