*-- ************************************
*-- Check whether any we have any output
*-- ************************************
select ac_report
lnRecCount = reccount()
if lnRecCount = 0
	=messagebox("String not found in any project entity.", 64)
else
	*-- There are, remake report file and
	*--	Shrink strings to shortest ones
	select ac_report
	lnobj=0
	lntxt=0
	lnstr=0
	scan
		if len(alltrim(object)) > lnobj
			lnobj = len(alltrim(object))
		endif
		if len(alltrim(text)) > lntxt
			lntxt = len(alltrim(text))
		endif
		if len(alltrim(string)) > lnstr
			lnstr = len(alltrim(string))
		endif
	endscan

	*-- Remove fill fields/Adjust Char Fields
	=afields(latemp)
	lnRows = ALEN(latemp, 1)
	lnCols = ALEN(latemp, 2)
	=l_Adjust("FILL", 0, .t.)		&& Get rid of fillers
	=l_Adjust("OBJECT", lnObj)		&& Adjust char fields
	=l_Adjust("TEXT", lntxt)
	=l_Adjust("STRING", lnstr)

	*-- **************************
	*-- Add a row for the Filename
	lnRows = lnRows + 1
	dimension latemp(lnRows, lnCols)
	latemp(lnRows, 1) = "FNAME"
	latemp(lnRows, 2) = "C"
	latemp(lnRows, 3) = 120
	latemp(lnRows, 4) = 0
	latemp(lnRows, 5) = .f.
	latemp(lnRows, 6) = .f.
	FOR lnxx = 7 TO lnCols
		latemp(lnRows, lnxx) = ""
	ENDFOR

	*-- Remake cursor with new lengths
	create cursor ac_newrpt from array latemp
	append from dbf("ac_report")

	if gnorder = 1
		index on filename + object + lineno tag filename
	else
		index on string + filename + object + lineno tag string
	endif
	replace all fname 	with alltrim(filename), ;
				text 	with alltrim(strtran(text, chr(9), ''))

	*-- Copy to output file - use 2.x compatibility
	if used(gcoutfile)
		*-- Make sure it's closed
		use in (gcoutfile)
	endif
	copy to &gcoutfile. fox2x
	use (gcoutfile) in 0

	*-- If Don't have report file, setup to write chkstr.lst
	*--	or if defaulting to write to ascii file
	if (! (file("chkstr.frx") and ;
			file("chkstr.frt")))		or ;
			gllist
		replace all fill3 with ": "

		select fname as filename from ac_newrpt ;
			order by fname ;
			group by fname ;
			into cursor ac_tmpr

		select ac_newrpt
		append from dbf("ac_tmpr")

		*-- copy to temp file and trim string ends
		copy to chkstr.tmp sdf
		if ! file("trimend.exe")
			copy to chkstr.lst sdf
		else
			! TRIMEND chkstr.tmp chkstr.lst
			erase chkstr.tmp
		endif
	endif
endif

*-- Want to see it now?
if lnRecCount <> 0
	if glreport
		*-- 9/11/01 - show window screen top
		lcRunDate = ""			&& For Subtitle - Mod date or Current Date
		lnans = messagebox("Do you want to view the output file now?", 36)
		if lnans = 6
			if file("chkstr.frx") 	and ;
			   file("chkstr.frt") 	and ;
			   file("chkstr2.frx")	and ;
			   file("chkstr2.frt")
				*-- If wrote out output file (chkreptxx)
				if used(gcoutfile)
					if gnorder = 1
						report form chkstr preview
					else
						report form chkstr2 preview
					endif
				else
					*-- Otherwise, show ascii output file
					modi comm chkstr.lst
				endif
			else
				modi comm chkstr.lst
			endif
		endif
	else
		if file("&gcoutfile.")  or ;
		   file("&gcoutfile..dbf")
			lcf = gcoutfile + iif(right(gcoutfile, 4) <> ".DBF", ".DBF", "")
		else
			lcf = "ChkStr.Lst"
		endif
		wait window "Check for output in " + lcf nowait
	endif
endif

return

*-- ******************************************
*-- Change length of results' character fields	
PROCEDURE l_adjust
PARAMETERS tcField, tcLen, tlLoseFills

IF tlLoseFills
	lnFill = ASCAN(latemp, tcField, 1, lnRows, 1, 8)
	DO WHILE lnFill <> 0
		FOR lnFrow = lnFill TO (lnRows - 1)
			FOR lnFCol = 1 TO lnCols
				latemp(lnFrow, lnFCol) = latemp(lnFrow+1, lnFCol)
			ENDFOR
		ENDFOR
		*-- Decrement Row count - check for another
		lnRows = lnRows - 1
		lnFill = ASCAN(latemp, tcField, 1, lnRows,1, 8)
	ENDDO
ELSE
	*-- Change length of Character field (name passed in)
	lnFldRow = ASCAN(latemp, tcField, 1, lnRows, 1, 8)
	IF BETWEEN(lnFldRow, 1, lnRows)
		latemp(lnFldRow, 3) = IIF(tcLen>0, tcLen, 1)
	ENDIF
ENDIF

RETURN
