*-- Called by screen chkget
*-- Check subset of strings on file and entered
*--
PROCEDURE g_chkstr

llbypass = .F.

*-- Check whether already have subset
*--	 of string in the array
lnlast = ALEN(lastring)

*-- Check for string in existing list
lny = 1
DO WHILE lny <= lnlast

  *-- Check to see if this is a subset of another string
  DO CASE
  CASE lcchk $ lastring(lny)
    lnans=MESSAGEBOX("You are adding"+CHR(13) + ;
       		lcchk + CHR(13) + ;
       		"and this new entry will find all the lines that" + CHR(13) + ;
       		lastring(lny) + CHR(13) + ;
       		"will find!  Remove it?", gnquestion+gnyesno)

    IF lnans = 6
      IF lny < lnlast
        *-- have more than one entry, ripple in
        lnlast = lnlast - 1
        FOR lnz = lny TO lnlast
          lastring(lnz) = lastring(lnz+1)
        ENDFOR
        DIMENSION lastring(lnlast)
        lny = lny - 1
      ELSE
        IF ALEN(lastring) = 1
          *-- If replacing first entry, just blank it
          lastring(1) = " "
        ELSE
          *-- Swallow last entry
          DIMENSION lastring(lnlast-1)
        ENDIF
      ENDIF
    ENDIF

  *-- Check to see if we already have a sub-set of the string!
  CASE lastring(lny) $ lcchk
    lnans=MESSAGEBOX("You already have"+CHR(13) + ;
    		lastring(lny) + CHR(13) + ;
       		"which will find all the lines that" + CHR(13) + ;
       		lcchk + CHR(13) + ;
       		"will find!  Don't Bother?", gnquestion+gnyesno)

    IF lnans = 6
      llbypass = .T.
      EXIT
    ENDIF

  ENDCASE

  *-- bump index
  lny = lny + 1
ENDDO			&& While lny < lnlast

RETURN (llbypass)
