*-- ****************
*-- Setup for chkstr
*-- ****************
procedure chkSetup

modify window screen title "ChkStr - Powerful, Wonderful String Check Utility"
*hide window screen

set exclusive on
set safety off
set delete on
set memowidth to 254

public gnstop, gnquestion, gnexclaim, gninfo
public gnok, gnokcanc, gnabretign, gnyesnocan, gnyesno
public gldevelop, gcOldEscape, gcCrLf
gcCrLf = CHR(13)

*-- Not In developer - Production Version
gldevelop = .f.

*-- Message Box Variables (2/28/97)
*-- Symbol
gnstop    = 16	&& Stop Sign
gnquestion= 32	&& Question Mark
gnexclaim = 48	&& Exclamation Mark
gninfo    = 64	&& Information (i)
*-- 			   Buttons			   Returns
gnok	  = 0	&& OK					1
gnokcanc  = 1	&& OK/Cancel			1/2
gnabretign= 2	&& Abort/Retry/Ignore	3/4/5
gnyesnocan= 3	&& Yes/No/Cancel		6/7/2
gnyesno   = 4	&& Yes/No				6/7
*-- (Add symbol to Button to get boxtype and response type)
*-- Example:	=MSGBOX("Stop and OK", "", gnstop+gnok)

public gcfname, gHomeDir, glreport, gcoutfile, glwait
public lastring(1), gnnextrept, gcVersion, gcCopyRight
public gnorder, glcomment, glclasses, gllist, gcinfo, glMaxFrame
public gcSaveOut
*-- 4/2/01 - New option, Preserve Case on input/scans
*--	4/10/01 - allow ascii
*-- 4/16/01 - Allow option on highlighting
public glCase, glAscii, glHighLight
glCase = .f.				&& Don't Preserve Case
glAscii= .f.				&& Don't allow ASCII
glHighLight = .t.			&& Highlight results
*--	End of Change CVG
gcoutfile = " "
gcSaveOut = " "

*-- Flag: Save all code in a table/file - CVG - 10/7/2002
public glSaveSource, glSelSource, gnSaveFound, glFoundString
public gcSaveFile, gcSaveObj, gcSaveCodIn
glSaveSource = .f.		&& Save Source Flag
glSelSource  = .f.		&& Select which source to save Flag
gnSaveFound  = 1		&& If   1) glSelSource=.f.   2) glSelSource=.t.
glFoundString = .f.		&& Found string in file - for SaveFound
gcSaveFile   = " "		&& Save Last Filename for Save Source
gcSaveObj    = " "		&& Save last object name for Save Source
gcSaveCodIn  = " "		&& Output file for Source

*-- Fill parameters from Default File
do l_parafill

return
