*-- Setup for chkview3
*-- Get cursors for source viewing
lcFile = alltrim(strtran(lower(ac_view.outfile), "chkrept", "chksave"))

*-- Cursor of text
select text, ;
	   recno() as recno ;
  from (lcFile) ;
  into cursor ac_txt
index on recno tag recno

*-- Cursor of file/objects
select left(filename+space(120), 120) as file, ;
	   left(object+space(120), 120)   as obj, ;
	   recno() as recno ;
  from (lcFile) ;
 order by file, obj ;
  into cursor ac_obj
index on file tag file
set relation to recno into ac_txt

use in (lcFile)

*-- Cursor of filenames
select file from ac_obj ;
 order by file ;
 group by file ;
  into cursor ac_file

set relation to file into ac_obj
go top
