*-- Given a dbf name, this routine will write out a text file with
*-- the create cursor command for this structure.
*--
*-- do makecurs with <dbfname>, <outputfile>
parameters dbfname, cursorname, outputfile

if parameters() < 2
	=messagebox("Sorry, you must supply a dbf filename, a cursorname and output filename", 64)
	return
endif

if ! file(dbfname + '.dbf')
	=messagebox(dbfname + '.dbf' + " not found", 64)
	return
endif

if ! used(dbfname)
	use (dbfname) in 0
endif
if Afields(latemp, dbfname) = 0
	=messagebox("oops, no fields in " + dbfname + '.dbf', 64)
	return
endif
use in (dbfname)

if file(outputfile + '.txt')
	erase (outputfile + '.txt')
endif
set alternate to (outputfile)
set alternate on
? "create cursor " + alltrim(cursorname) + " (;"

for lnx = 1 to alen(latemp, 1)
	lcField = lower(left(latemp(lnx, 1)+space(12), 12))
	lcType  = alltrim(latemp(lnx, 2))
	lcLen   = alltrim(str(latemp(lnx, 3)))
	lcDec   = iif(latemp(lnx, 4)=0, "", ", "+;
			  alltrim(str(latemp(lnx, 4) ) ) )
	? "    " + lcField + " " + lcTYpe + "(" + lcLen + ;
			   lcDec + ;
			   iif(lnx = alen(latemp, 1), "))", "), ;")
endfor
?
?

set alternate off
close alternate

modi comm (outputfile + '.txt')

return

